* E Posta Adresiniz:
* Kodu Girin:

entmake fonksiyonu-3

entmake ile ARC cizmek
shark - 27.10.2005 12:25
Yazar: Derya KILIÇ
İçerik:

(Kontrol panelinizde görünür)
;entmake ile ARC cizen foksiyon
(defun arc_ciz(_merkez _ycap _to _tf _lyr)
(entmake (list (cons 0 "ARC")
(cons 8 _lyr)
(cons 10 _merkez)
(cons 40 _ycap)
(cons 50 (angle _merkez _tf))
(cons 51 (angle _merkez _to))
) )
);_arc_ciz
;Kullanımı :
(setq m (list 10 20 0) ;merkez noktasi
r 14.14 ; yaricap
bas (list 20 30) ;başlangıç noktası
son (list 24.14 20) ; bitiş noktası
)
(arc_ciz m r bas son "deneme")
;Sonuc :
;merkezi (10,20) baslangici (20,30) bitisi (24.14,20) noktalari olan 14.14 yaricapinda bir ARC'ı "deneme" isimli layer'da çizer.
Yorumlar :
Henüz yorum yapılmamış
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 2691 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam